<ul class="breadcrumb">
    <li><a href="<?=$this->url('root')?>"><?=$this->icon('home')?></a></li>
    <li><?=$this->translate('directory_module_title')?></li>
    <li class="active"><?=$this->translate('structure_nav_list')?></li>
</ul>

<h1 class="page-title">
    <?=$this->icon('structure')?> <?=$this->translate('structure_module_title')?>
</h1>

<div class="row row-padding">
    <div class="col-xs-12">
        <div class="panel" ng-controller="structureListController as self" ng-init="__filters = {};">
            <table-builder options="self.options" items="self.structures" class="table-builder">
                <div class="panel-heading">
                    <?=$this->translate('structure_nav_list')?>

                    <div class="panel-heading-right">
                        <div class="panel-heading-actions" tooltip="<?=$this->translate('tooltip_remove_from_list')?>">
                            <?=$this->icon('eraser', 'fa-fw pointer', ['ng-click' => '__tb.removeFromList()'])?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?=$this->translate('tooltip_export_xls')?>">
                            <?=$this->icon('excel', 'fa-fw pointer', ['ng-click' => '__tb.exportExcel()'])?>
                        </div>
                        <div class="panel-heading-actions" tooltip="<?=$this->translate('tooltip_refresh')?>">
                            <?=$this->icon('refresh', 'fa-fw pointer', ['ng-click' => '__tb.loadData()'])?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-sm-4">
                            <div class="table-filters little-panel">
                                <div class="title table-filters-header">
                                    <div class="input-group">
                                        <div class="input-group-addon pointer" data-toggle="collapse" href="#filters-collapsed">
                                          <?=$this->icon('filters', 'fa fa-caret-down')?>
                                        </div>
                                        <input type="text" placeholder="<?=$this->translate('search', null, null, false)?>" class="form-control"
                                               ng-model="self.fullText" id="full-text" on-enter="self.fullTextSearch()"/>
                                        <div class="input-group-addon pointer" ng-click="self.fullTextSearch()">
                                            <?=$this->icon('search', 'fa-fw')?>
                                        </div>
                                    </div>
                                </div>
                                <div id="filters-collapsed" class="body collapse">
                                    <?=$this->tableFilter('__tb.apiParams.search.data.filters', $this->structureFilters());?>
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.resetFilters(); __tb.loadData()"><?=$this->translate('table_filter_reset_button')?></button>
                                        </div>
                                        <div class="col-xs-6 text-right">
                                            <button class="btn" ng-click="self.resetfullTextSearch(); __tb.loadData()">
                                                <?=$this->icon('search', 'fa-fw')?>
                                                <?=$this->translate('table_filter_button')?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <table-builder-columns with-duplicate="true" tooltip="<?=$this->translate('duplicate_tooltip')?>"></table-builder-columns>
                        </div>
                        <?php if ($this->acl()->isAllowed('application:e:query:r')): ?>
                        <div class="col-sm-4">
                            <table-builder-queries basket="<?=$this->acl()->isAllowed('application:p:query:basket') ? 'true' : 'false'?>"></table-builder-queries>
                        </div>
                        <?php endif;?>
                    </div>
                    <div class="row">
                        <div class="col-xs-12">
                            <form name="structureForm">
                                <table table-builder-table class="table table-bordered table-condensed table-hover">
                                    <thead>
                                        <tr>
                                            <th tb-column tb-name="selection" class="checkbox-column"><input type="checkbox" ng-model="__tb.selection"/></th>
                                            <th tb-column tb-name="id" tb-sortable="true" tb-toggle="true"><?=$this->translate('structure_field_id')?></th>
                                            <th tb-column tb-name="name" tb-sortable="true" tb-toggle="true"><?=$this->translate('structure_field_name')?></th>
                                            <th tb-column tb-name="sigle" tb-sortable="true" tb-toggle="true"><?=$this->translate('structure_field_sigle')?></th>
                                            <th tb-column tb-name="email" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_email')?></th>
                                            <th tb-column tb-name="phone" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_phone')?></th>
                                            <th tb-column tb-name="phone2" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_phone2')?></th>
                                            <th tb-column tb-name="portable" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_portable')?></th>
                                            <th tb-column tb-name="zipcode" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_zipcode')?></th>
                                            <th tb-column tb-name="country" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_country')?></th>
                                            <th tb-column tb-name="city" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_city')?></th>
                                            <th tb-column tb-name="addressLine1" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_addressLine1')?></th>
                                            <th tb-column tb-name="addressLine2" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_addressLine2')?></th>
                                            <th tb-column tb-name="siret" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_siret')?></th>
                                            <th tb-column tb-name="website" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_website')?></th>
                                            <?php if ($this->module()->isActive('budget')): ?>
                                                <th tb-column tb-name="financer" tb-toggle="true" tb-sortable="true"><?=$this->translate('structure_field_financer')?></th>
                                            <?php endif;?>
                                            <?php
if ($this->module()->isActive('keyword')) {
    foreach ($this->groups as $group) {
        echo '<th tb-column tb-name="keyword' . $group->getId() . '" tb-sortable="false" tb-toggle="true">' . $group->getName() . '</th>';
    }
}
?>
                                            <th tb-column tb-name="createdAt" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_createdAt')?></th>
                                            <th tb-column tb-name="updatedAt" tb-toggle="true" tb-sortable="true" tb-hidden="true"><?=$this->translate('structure_field_updatedAt')?></th>
                                            <th tb-column tb-name="actions" class="actions-column"></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr ng-repeat="structure in self.structures" ng-class="{editing: self.editedLine == structure}">
                                            <td><input type="checkbox" ng-model="structure.selected"/></td>
                                            <td>{{structure.id}}</td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    <a ng-if="structure._rights.read" href="<?=$this->url('directory/structure/form')?>/{{structure.id}}">{{structure.name}}</a>
                                                    <span ng-if="!structure._rights.read">{{structure.name}}</span>

                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="name" class="form-control input-sm"  ng-model="self.editedLineFields.name" required />
                                                    <field-errors field="name" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.sigle}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="sigle" class="form-control input-sm"  ng-model="self.editedLineFields.sigle" />
                                                    <field-errors field="sigle" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.email}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="email" name="email" class="form-control input-sm"  ng-model="self.editedLineFields.email" />
                                                    <field-errors field="email" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.phone}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="phone" class="form-control input-sm" ng-model="self.editedLineFields.phone"/>
                                                    <field-errors field="phone" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.phone2}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="phone2" class="form-control input-sm" ng-model="self.editedLineFields.phone2"/>
                                                    <field-errors field="phone2" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.portable}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="portable" class="form-control input-sm" ng-model="self.editedLineFields.portable"/>
                                                    <field-errors field="portable" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.zipcode}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="zipcode" class="form-control input-sm" ng-model="self.editedLineFields.zipcode" />
                                                    <field-errors field="zipcode" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.country}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="country" class="form-control input-sm" ng-model="self.editedLineFields.country" />
                                                    <field-errors field="country" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.city}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="city" class="form-control input-sm" ng-model="self.editedLineFields.city" />
                                                    <field-errors field="city" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.addressLine1}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="addressLine1" class="form-control input-sm"  ng-model="self.editedLineFields.addressLine1" />
                                                    <field-errors field="addressLine1" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.addressLine2}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="addressLine2" class="form-control input-sm" ng-model="self.editedLineFields.addressLine2" />
                                                    <field-errors field="addressLine2" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.siret}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="siret" class="form-control input-sm" ng-model="self.editedLineFields.siret" />
                                                    <field-errors field="siret" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <td class="editable">
                                                <span ng-show="self.editedLine !== structure">
                                                    {{structure.website}}
                                                    <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                </span>
                                                <span ng-if="self.editedLine == structure">
                                                    <input type="text" name="website" class="form-control input-sm" ng-model="self.editedLineFields.website" />
                                                    <field-errors field="website" errors="self.editedLineErrors"></field-errors>
                                                </span>
                                            </td>
                                            <?php if ($this->module()->isActive('budget')): ?>
                                                <td class="editable">
                                                    <span ng-show="self.editedLine !== structure">
                                                        {{structure.financer ? 'Oui' : 'Non'}}
                                                        <?=$this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update'])?>
                                                    </span>
                                                    <span ng-if="self.editedLine == structure">
                                                        <input type="hidden" name="financer"  ng-model="self.editedLineFields.financer" />
                                                        <input type="checkbox" name="financer"  ng-model="self.editedLineFields.financer" />
                                                        <field-errors field="financer" errors="self.editedLineErrors"></field-errors>
                                                    </span>
                                                </td>
                                            <?php endif;?>
                                            <?php
if ($this->module()->isActive('keyword')) {
    foreach ($this->groups as $group) {
        echo '<td class="editable">';
        echo '<span class="comma-separated" ng-show="self.editedLine !== structure">';
        echo '<span ng-repeat="keyword in structure.keywords[' . $group->getId() . ']">{{keyword.name}}</span>';
        echo $this->icon('inline-edit', '', ['ng-click' => 'self.editLine(structure)', 'ng-if' => 'structure._rights.update']);
        echo '</span>';
        echo '<span ng-if="self.editedLine == structure">';
        echo '<keyword-select ng-model="self.editedLineFields.keywords[' . $group->getId() . ']" multiple="' . ($group->isMultiple() ? 'true' : 'false') . '" configuration="{ service : { apiParams : { search: { data: { filters: { group : { op: \'eq\', val: ' . $group->getId() . ' } } } } } } }" form="indicatorForm"></keyword-select>';
        echo '</span>';
        echo '</td>';
    }
}
?>
                                            <td>{{structure.createdAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                            <td>{{structure.updatedAt | dateFormat : 'DD/MM/YYYY'}}</td>
                                            <td>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine != structure">
                                                    <?php if ($this->acl()->isAllowed('directory:e:structure:r')): ?>
                                                        <a ng-if="structure._rights.read"
                                                           href="<?=$this->url('directory/structure/form')?>/{{structure.id}}"
                                                           class="btn btn-xs btn-default" tooltip="<?=$this->translate('tooltip_edit')?>">
                                                            <?=$this->icon('edit')?>
                                                        </a>
                                                    <?php endif;?>

                                                    <?php if ($this->acl()->isAllowed('directory:e:structure:c')): ?>
                                                        <a class="btn btn-xs btn-default" ng-click="self.duplicate(structure)" tooltip="<?=$this->translate('tooltip_copy')?>">
                                                            <?=$this->icon('duplicate');?>
                                                        </a>
                                                    <?php endif;?>
                                                    <?php if ($this->acl()->isAllowed('directory:e:structure:c')): ?>
                                                        <a class="btn btn-xs btn-default" ng-click="self.showFusionModal(structure)" tooltip="<?=$this->translate('tooltip_fusion')?>">
                                                            <?=$this->icon('fusion');?>
                                                        </a>
                                                    <?php endif;?>
                                                    <?php if ($this->acl()->isAllowed('directory:e:structure:d')): ?>
                                                        <a ng-if="structure._rights.delete" href="" class="btn btn-xs btn-default" tooltip="<?=$this->translate('tooltip_delete')?>" ng-click="self.deleteStructure(structure)">
                                                            <?=$this->icon('delete')?>
                                                        </a>
                                                    <?php endif;?>
                                                </div>
                                                <div class="btn-group btn-group-actions" ng-if="self.editedLine == structure">
                                                    <button class="btn btn-xs btn-default" ng-click="self.saveEditedLine(structure)" type="submit" tooltip="<?=$this->translate('tooltip_save')?>">
                                                        <?=$this->icon('save')?>
                                                    </button>
                                                    <button class="btn btn-xs btn-default" ng-click="self.editedLine = null" type="button" tooltip="<?=$this->translate('tooltip_cancel')?>">
                                                        <?=$this->icon('close')?>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                        </div>
                    </div>
                </div>
            </table-builder>
            <div class="modal" id="fusionModal">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h4 class="modal-title"><?=$this->translate('structure_fusion_title')?></h4>
                        </div>
                        <div class="modal-body">
                            <div class="row" style="margin-bottom: 10px;">
                                <div class="col-xs-12">
                                    <div class="form-group">
                                        <label>
                                            <?=$this->translate('fusion_field_structureToFusion')?> :
                                        </label>
                                        {{ self.fusion.structureToFusion.id }} -- {{ self.fusion.structureToFusion.name }}
                                    </div>
                                    <div class="form-group">
                                        <label style="display: block;">
                                            <?=$this->translate('fusion_field_type')?>
                                        </label>
                                        <label style="font-weight: normal;">
                                            <input ng-model="self.fusion.type"
                                                   value="duplicate"
                                                   type="radio">
                                            Dupliquer
                                        </label>
                                        <label style="margin-left: 5px; font-weight: normal;">
                                            <input ng-model="self.fusion.type"
                                                   value="transfer"
                                                   type="radio">
                                            Transférer
                                        </label>
                                    </div>
                                    <div class="form-group">
                                        <label for="fusion.contactToKeep">
                                            <?=$this->translate('fusion_field_structureToKeep')?>
                                        </label>
                                        <structure-select ng-model="self.fusion.structureToKeep"></structure-select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-default" type="button" data-dismiss="modal">
                                <?=$this->translate('close')?>
                            </button>

                            <button class="btn btn-submit" ng-disabled="self.loading.fusion"
                                    ng-click="self.doFusion()">
                                <?=$this->icon('loading', '', ['ng-if' => 'self.loading.fusion'])?>
                                <?=$this->translate('fusion')?>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('directory:e:structure:c')) {
    $fabLinks[] = [
        'href' => $this->url('directory/structure/form'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('structure_nav_form'),
    ];
    $fabLinks[] = [
        'href' => $this->url('import', ['entity' => 'structure']),
        'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('structure_nav_import'),
    ];
    $fabLinks[] = [
        'href' => $this->url('import', ['entity' => 'contactJobStructure']),
        'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('structure_nav_import_links'),
    ];
}

echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/keyword/directive/keywordSelect.js');
$this->angular('js/src/directory/directive/contactSelect.js');
$this->angular('js/src/directory/directive/jobSelect.js');
$this->angular('js/src/directory/directive/structureSelect.js');

$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/application/query/service/query.js');

$this->angular('js/src/directory/service/structure.js');
$this->angular('js/src/directory/service/contact.js');
$this->angular('js/src/directory/service/job.js');
$this->angular('js/src/directory/controller/structure/list.js');
